Loading...
Searching...
No Matches
LinearMaterial.hpp File Reference

Implements a linear saturation-capillary pressure relation. More...

`#include "LinearMaterialParams.hpp"`
`#include <opm/material/common/MathToolbox.hpp>`
`#include <opm/material/common/Valgrind.hpp>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

class | Opm::LinearMaterial< TraitsT, ParamsT >
| Implements a linear saturation-capillary pressure relation. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Implements a linear saturation-capillary pressure relation.

Implements a linear saturation-capillary pressure relation for M-phase fluid systems.

See also
  LinearMaterialParams